Extending Qt Creator Manual | InfoBar

Extending Qt Creator Manual 4.5.2

# InfoBar Class

(Core::InfoBar)

- List of all members, including inherited members

## Public Functions

void | addInfo(const InfoBarEntry &info)
bool | canInfoBeAdded(Id id) const
void | clear()
bool | containsInfo(Id id) const
void | enableInfo(Id id)
void | removeInfo(Id id)
void | suppressInfo(Id id)

## Signals

void | changed()

## Static Public Members

bool | anyGloballySuppressed()
void | clearGloballySuppressed()
void | globallySuppressInfo(Id id)
void | globallyUnsuppressInfo(Id id)
void | initializeGloballySuppressed()

## Member Function Documentation

### void InfoBar::addInfo(const InfoBarEntry &info)

### `[static]` bool InfoBar::anyGloballySuppressed()

### bool InfoBar::canInfoBeAdded(Id id) const

### `[signal]` void InfoBar::changed()

### void InfoBar::clear()

### `[static]` void InfoBar::clearGloballySuppressed()

### bool InfoBar::containsInfo(Id id) const

### void InfoBar::enableInfo(Id id)

### `[static]` void InfoBar::globallySuppressInfo(Id id)

### `[static]` void InfoBar::globallyUnsuppressInfo(Id id)

### `[static]` void InfoBar::initializeGloballySuppressed()

### void InfoBar::removeInfo(Id id)

### void InfoBar::suppressInfo(Id id)